Bug 196623 - Review Request: perl-PerlIO-via-dynamic - dynamic PerlIO layers
Summary: Review Request: perl-PerlIO-via-dynamic - dynamic PerlIO layers
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 196621 196629
TreeView+ depends on / blocked
 
Reported: 2006-06-26 01:59 UTC by Ian Burrell
Modified: 2008-06-12 15:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 06:44:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Burrell 2006-06-26 01:59:00 UTC
Spec URL: http://znark.com/fedora/perl-PerlIO-via-dynamic.spec
SRPM URL: http://znark.com/fedora/perl-PerlIO-via-dynamic-0.12-1.src.rpm
Description: dynamic PerlIO layers

It is required by perl-SVK.

Comment 1 Ralf Corsepius 2006-06-26 04:39:40 UTC
# rpmlint perl-PerlIO-via-dynamic-0.12-1.noarch.rpm
W: perl-PerlIO-via-dynamic summary-not-capitalized dynamic PerlIO layers
W: perl-PerlIO-via-dynamic invalid-license CHECK(GPL or Artistic)


Comment 2 Ian Burrell 2006-06-28 06:13:50 UTC
I fixed the rpmlint warnings.

Spec: http://znark.com/fedora/perl-PerlIO-via-dynamic.spec
SRPMS: http://znark.com/fedora/perl-PerlIO-via-dynamic-0.12-3.src.rpm

Comment 3 Jason Tibbitts 2006-06-29 00:15:38 UTC
s/-3/-2/ in that URL.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   2bbb9d61c3e8df006e8bede08ed5c9c1  PerlIO-via-dynamic-0.12.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(PerlIO::via::dynamic) = 0.12
   perl-PerlIO-via-dynamic = 0.12-2.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(IO::Handle)
   perl(Scalar::Util)
   perl(Symbol)
   perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=6,  1 wallclock secs ( 0.12 cusr +  0.06 csys =  0.18 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 4 Ian Burrell 2006-06-29 06:44:47 UTC
Built for devel.


Comment 5 Ian Burrell 2008-06-12 00:33:47 UTC
Package Change Request
======================
Package Name: perl-PerlIO-via-dynamic
New Branches: EL-4 EL-5


Comment 6 Kevin Fenzi 2008-06-12 15:57:39 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.